Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## io
Class Partlist

    java.lang.Object
      io.Partlist

All Implemented Interfaces:
  java.lang.Iterable<java.lang.String>

    public class Partlist

extends java.lang.Object
implements java.lang.Iterable<java.lang.String>

This class defines and iterates over names of parts of backup.

Nested Class Summary
`class` | `Partlist.PrefixlistIterator` Inner iterator.

Constructor Summary
`Partlist(java.lang.String prefix, int n, int m)`
`Partlist(java.lang.String prefix, int n, int m, boolean includeFragments)`

Method Summary
`java.lang.String` | `getBackupName()` Returns prefix of all backup files or name of backup.
`int` | `getDataCount()` Returns number of data fragments coresponding backup uses.
`int` | `getChecksumCount()` Returns number of checksum files calculated for this backup.
`java.util.Iterator<java.lang.String>` | `iterator()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Partlist

    public Partlist(java.lang.String prefix,
                    int n,
                    int m,
                    boolean includeFragments)

### Partlist

    public Partlist(java.lang.String prefix,
                    int n,
                    int m)

Method Detail

### iterator

    public java.util.Iterator<java.lang.String> iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable<java.lang.String>`

### getDataCount

    public int getDataCount()

  Returns number of data fragments coresponding backup uses.

  Returns:
    number of data fragments

### getChecksumCount

    public int getChecksumCount()

  Returns number of checksum files calculated for this backup.

  Returns:
    number of checksums

### getBackupName

    public java.lang.String getBackupName()

  Returns prefix of all backup files or name of backup.

  Returns:
    name of backup

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD